Get SCIM Service Provider Configuration Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developer.adra.com/doc/adra-scim/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SCIM 2 MCP server": {
    "url": "https://developer.adra.com/doc/adra-scim/mcp"
  }
}

Close
GET /serviceConfiguration

Returns the capabilities of the Adra SCIM implementation

Responses

  • 200 application/scim+json

    OK

    Hide response attributes Show response attributes object
    • authenticationSchemes null | array[object]
      Hide authenticationSchemes attributes Show authenticationSchemes attributes object
      • authenticationType null | string
      • description null | string
      • documentationResource null | string(uri)
      • name null | string
      • primary boolean
      • specificationResource null | string(uri)
    • bulkRequests null | object

      Additional properties are NOT allowed.

      Hide bulkRequests attributes Show bulkRequests attributes null | object
      • concurrentOperations integer(int32)
      • maximumOperations integer(int32)
      • maximumPayloadSize integer(int32)
      • supported boolean
    • documentationResource null | string(uri)
    • entityTags null | object

      Additional properties are NOT allowed.

      Hide entityTags attribute Show entityTags attribute null | object
      • supported boolean Required
    • filtering null | object

      Additional properties are NOT allowed.

      Hide filtering attribute Show filtering attribute null | object
      • supported boolean Required
    • passwordChange null | object

      Additional properties are NOT allowed.

      Hide passwordChange attribute Show passwordChange attribute null | object
      • supported boolean Required
    • patching null | object

      Additional properties are NOT allowed.

      Hide patching attribute Show patching attribute null | object
      • supported boolean Required
    • sorting null | object

      Additional properties are NOT allowed.

      Hide sorting attribute Show sorting attribute null | object
      • supported boolean Required
    • schemas null | array[string]
  • 400 application/scim+json

    Bad Request

    Hide response attributes Show response attributes object
    • type null | string
    • title null | string
    • status null | integer(int32)
    • detail null | string
    • instance null | string
  • 401 application/scim+json

    Unauthorized

    Hide response attributes Show response attributes object
    • type null | string
    • title null | string
    • status null | integer(int32)
    • detail null | string
    • instance null | string
  • 403 application/scim+json

    Forbidden

    Hide response attributes Show response attributes object
    • type null | string
    • title null | string
    • status null | integer(int32)
    • detail null | string
    • instance null | string
  • 501 application/scim+json

    Not Implemented

    Hide response attributes Show response attributes object
    • type null | string
    • title null | string
    • status null | integer(int32)
    • detail null | string
    • instance null | string
  • default application/scim+json
    Hide response attributes Show response attributes object
    • type null | string
    • title null | string
    • status null | integer(int32)
    • detail null | string
    • instance null | string
GET /serviceConfiguration
curl \
 --request GET 'https://setup.adratest.com/api/organizations/{organizationSid}/scim/serviceConfiguration' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "schemas": [
    "urn:ietf:params:scim:schemas:core:2.0:ServiceProviderConfig"
  ],
  "documentationUri": "https://success.adra.com/s/article/Setup-SCIM-Implementation-for-Automated-User-Provisioning-Using-Microsoft-Entra-ID",
  "patch": {
    "supported": true
  },
  "bulk": {
    "supported": false,
    "maxOperations": 0,
    "maxPayloadSize": 0
  },
  "filter": {
    "supported": true,
    "maxResults": 200
  },
  "changePassword": {
    "supported": false
  },
  "sort": {
    "supported": false
  },
  "etag": {
    "supported": false
  },
  "authenticationSchemes": [
    {
      "name": "OAuth Bearer Token",
      "description": "Authentication using Bearer token",
      "specUrl": "https://datatracker.ietf.org/doc/html/rfc6750",
      "type": "oauthbearertoken",
      "primary": true
    }
  ]
}
Response examples (400)
{
  "type": null,
  "title": null,
  "status": null,
  "detail": null,
  "instance": null
}
Response examples (401)
{
  "type": null,
  "title": null,
  "status": null,
  "detail": null,
  "instance": null
}
Response examples (403)
{
  "type": null,
  "title": null,
  "status": null,
  "detail": null,
  "instance": null
}
Response examples (501)
{
  "type": null,
  "title": null,
  "status": null,
  "detail": null,
  "instance": null
}
Response examples (default)
{
  "type": null,
  "title": null,
  "status": null,
  "detail": null,
  "instance": null
}